Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453534 - Increase size of clickable area in tree navigation widget
Summary: Increase size of clickable area in tree navigation widget
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Virtualization Tools
Classification: Community
Component: ovirt-server-suite
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Hugh Brock
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-01 08:41 UTC by Daniel Berrange
Modified: 2016-04-26 18:33 UTC (History)
2 users (show)

Fixed In Version: 0.94
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-03 06:56:14 UTC


Attachments (Terms of Use)

Description Daniel Berrange 2008-07-01 08:41:24 UTC
Description of problem:
The left hand tree navigation widget on the UI has a very limited clickable
area. You need to click precisely on the text of the link.

This is contrary to the visual cues provided by the mouse-over hint, which
highlights a large rectangular region surrounding the text and also the icon.
This entire highlighted region needs to be made clickable so the action is
consistent with the visual cue

Version-Release number of selected component (if applicable):
0.91-1

How reproducible:
Always with galeon on Fedora 9 / firefox-3

Steps to Reproduce:
1. Expand the tree widget
2. Attempt to click on an item, but not on the text itself
3.
  
Actual results:
Cannot click outside the text

Expected results:
Can click anywhere in the highlighted region

Additional info:

Comment 1 Hugh Brock 2008-10-17 20:20:20 UTC
New tree widget takes care of this, thanks!

Comment 2 Jia Dong 2008-12-03 06:55:54 UTC
I tested this bug for ovirt-0.95 on fedora 9.And it has been modified and works
well.


Note You need to log in before you can comment on or make changes to this bug.